mp3splt-gtk: ui_infos Struct Reference

mp3splt-gtk 0.9.3.1519

Loading...
Searching...
No Matches
ui_infos Struct Reference
Collaboration diagram for ui_infos:
[legend]

## Data Fields
gfloat | accumulated_diff
gint | big_seek_jump_value
gchar * | browser_directory
gfloat | current_time
gint | debug_is_active
gdouble | douglas_peucker_thresholds [6]
gdouble | douglas_peucker_thresholds_defaults [6]
gint | drawing_preferences_silence_wave
GPtrArray * | filtered_points_presence
gint | fourty_minutes_time
splt_freedb_results * | freedb_search_results
gint | freedb_selected_id
gint | freedb_table_number
gint | gstreamer_stop_before_end
gint | hundr_secs_th
ui_main_window * | main_win
gint | malloced_num_of_silence_points
gint | minutes_th
gint | multiple_files_tree_number
gint | number_of_silence_points
gint | one_minute_time
GString * | outputdirname
GHashTable * | pixel_moved_by_time
gint | pixels_diff_regarding_previous
gint | player_hundr_secs
gint | player_hundr_secs2
gint | player_minutes
gint | player_minutes2
gint | player_seconds
gint | player_seconds2
gint | playlist_tree_number
preview_index_and_data | preview_indexes [6]
GArray * | preview_time_windows
GThread * | previous_export_thread
gfloat | previous_mark_pixel
gint | previous_mark_time
GHashTable * | previous_pixel_by_time
gint | secs_th
gint | seek_jump_value
gint | selected_player
gfloat | silence_minimum_length
gfloat | silence_minimum_track_length
gint | silence_number_of_tracks
gfloat | silence_offset_value
silence_wave * | silence_points
gboolean | silence_remove_silence_between_tracks
gint | silence_shots_value
gfloat | silence_threshold_value
gint | silence_wave_number_of_points_threshold
gint | six_minutes_time
gint | small_seek_jump_value
gint | split_file_mode
gint | splitnumber
gint | ten_minutes_th
gint | ten_minutes_time
gint | ten_secs_th
gint | tens_of_secs_th
GList * | text_options_list
gint | three_minutes_time
gint | timeout_value
gfloat | total_time
gint | twenty_minutes_time
gint | width_drawing_area
gfloat | zoom_coeff
gfloat | zoom_coeff_old

## Detailed Description

Definition at line 104 of file ui_types.h.

## Field Documentation

## ◆ accumulated_diff

gfloat ui_infos::accumulated_diff

Definition at line 192 of file ui_types.h.

## ◆ big_seek_jump_value

gint ui_infos::big_seek_jump_value

Definition at line 184 of file ui_types.h.

## ◆ browser_directory

gchar* ui_infos::browser_directory

Definition at line 105 of file ui_types.h.

## ◆ current_time

gfloat ui_infos::current_time

Definition at line 123 of file ui_types.h.

## ◆ debug_is_active

gint ui_infos::debug_is_active

Definition at line 154 of file ui_types.h.

## ◆ douglas_peucker_thresholds

gdouble ui_infos::douglas_peucker_thresholds[6]

Definition at line 151 of file ui_types.h.

## ◆ douglas_peucker_thresholds_defaults

gdouble ui_infos::douglas_peucker_thresholds_defaults[6]

Definition at line 152 of file ui_types.h.

## ◆ drawing_preferences_silence_wave

gint ui_infos::drawing_preferences_silence_wave

Definition at line 197 of file ui_types.h.

## ◆ filtered_points_presence

GPtrArray* ui_infos::filtered_points_presence

Definition at line 146 of file ui_types.h.

## ◆ fourty_minutes_time

gint ui_infos::fourty_minutes_time

Definition at line 142 of file ui_types.h.

## ◆ freedb_search_results

splt_freedb_results* ui_infos::freedb_search_results

Definition at line 170 of file ui_types.h.

## ◆ freedb_selected_id

gint ui_infos::freedb_selected_id

Definition at line 168 of file ui_types.h.

## ◆ freedb_table_number

gint ui_infos::freedb_table_number

Definition at line 164 of file ui_types.h.

## ◆ gstreamer_stop_before_end

gint ui_infos::gstreamer_stop_before_end

Definition at line 180 of file ui_types.h.

## ◆ hundr_secs_th

gint ui_infos::hundr_secs_th

Definition at line 130 of file ui_types.h.

## ◆ main_win

ui_main_window* ui_infos::main_win

Definition at line 106 of file ui_types.h.

## ◆ malloced_num_of_silence_points

gint ui_infos::malloced_num_of_silence_points

Definition at line 111 of file ui_types.h.

## ◆ minutes_th

gint ui_infos::minutes_th

Definition at line 134 of file ui_types.h.

## ◆ multiple_files_tree_number

gint ui_infos::multiple_files_tree_number

Definition at line 166 of file ui_types.h.

## ◆ number_of_silence_points

gint ui_infos::number_of_silence_points

Definition at line 110 of file ui_types.h.

## ◆ one_minute_time

gint ui_infos::one_minute_time

Definition at line 137 of file ui_types.h.

## ◆ outputdirname

GString* ui_infos::outputdirname

Definition at line 174 of file ui_types.h.

## ◆ pixel_moved_by_time

GHashTable* ui_infos::pixel_moved_by_time

Definition at line 195 of file ui_types.h.

## ◆ pixels_diff_regarding_previous

gint ui_infos::pixels_diff_regarding_previous

Definition at line 193 of file ui_types.h.

## ◆ player_hundr_secs

gint ui_infos::player_hundr_secs

Definition at line 115 of file ui_types.h.

## ◆ player_hundr_secs2

gint ui_infos::player_hundr_secs2

Definition at line 120 of file ui_types.h.

## ◆ player_minutes

gint ui_infos::player_minutes

Definition at line 114 of file ui_types.h.

## ◆ player_minutes2

gint ui_infos::player_minutes2

Definition at line 119 of file ui_types.h.

## ◆ player_seconds

gint ui_infos::player_seconds

Definition at line 113 of file ui_types.h.

## ◆ player_seconds2

gint ui_infos::player_seconds2

Definition at line 118 of file ui_types.h.

## ◆ playlist_tree_number

gint ui_infos::playlist_tree_number

Definition at line 165 of file ui_types.h.

## ◆ preview_indexes

preview_index_and_data ui_infos::preview_indexes[6]

Definition at line 176 of file ui_types.h.

## ◆ preview_time_windows

GArray* ui_infos::preview_time_windows

Definition at line 144 of file ui_types.h.

## ◆ previous_export_thread

GThread* ui_infos::previous_export_thread

Definition at line 187 of file ui_types.h.

## ◆ previous_mark_pixel

gfloat ui_infos::previous_mark_pixel

Definition at line 191 of file ui_types.h.

## ◆ previous_mark_time

gint ui_infos::previous_mark_time

Definition at line 190 of file ui_types.h.

## ◆ previous_pixel_by_time

GHashTable* ui_infos::previous_pixel_by_time

Definition at line 194 of file ui_types.h.

## ◆ secs_th

gint ui_infos::secs_th

Definition at line 132 of file ui_types.h.

## ◆ seek_jump_value

gint ui_infos::seek_jump_value

Definition at line 183 of file ui_types.h.

## ◆ selected_player

gint ui_infos::selected_player

Definition at line 149 of file ui_types.h.

## ◆ silence_minimum_length

gfloat ui_infos::silence_minimum_length

Definition at line 160 of file ui_types.h.

## ◆ silence_minimum_track_length

gfloat ui_infos::silence_minimum_track_length

Definition at line 161 of file ui_types.h.

## ◆ silence_number_of_tracks

gint ui_infos::silence_number_of_tracks

Definition at line 159 of file ui_types.h.

## ◆ silence_offset_value

gfloat ui_infos::silence_offset_value

Definition at line 158 of file ui_types.h.

## ◆ silence_points

silence_wave* ui_infos::silence_points

Definition at line 109 of file ui_types.h.

## ◆ silence_remove_silence_between_tracks

gboolean ui_infos::silence_remove_silence_between_tracks

Definition at line 162 of file ui_types.h.

## ◆ silence_shots_value

gint ui_infos::silence_shots_value

Definition at line 157 of file ui_types.h.

## ◆ silence_threshold_value

gfloat ui_infos::silence_threshold_value

Definition at line 156 of file ui_types.h.

## ◆ silence_wave_number_of_points_threshold

gint ui_infos::silence_wave_number_of_points_threshold

Definition at line 147 of file ui_types.h.

## ◆ six_minutes_time

gint ui_infos::six_minutes_time

Definition at line 139 of file ui_types.h.

## ◆ small_seek_jump_value

gint ui_infos::small_seek_jump_value

Definition at line 182 of file ui_types.h.

## ◆ split_file_mode

gint ui_infos::split_file_mode

Definition at line 172 of file ui_types.h.

## ◆ splitnumber

gint ui_infos::splitnumber

Definition at line 125 of file ui_types.h.

## ◆ ten_minutes_th

gint ui_infos::ten_minutes_th

Definition at line 135 of file ui_types.h.

## ◆ ten_minutes_time

gint ui_infos::ten_minutes_time

Definition at line 140 of file ui_types.h.

## ◆ ten_secs_th

gint ui_infos::ten_secs_th

Definition at line 133 of file ui_types.h.

## ◆ tens_of_secs_th

gint ui_infos::tens_of_secs_th

Definition at line 131 of file ui_types.h.

## ◆ text_options_list

GList* ui_infos::text_options_list

Definition at line 107 of file ui_types.h.

## ◆ three_minutes_time

gint ui_infos::three_minutes_time

Definition at line 138 of file ui_types.h.

## ◆ timeout_value

gint ui_infos::timeout_value

Definition at line 178 of file ui_types.h.

## ◆ total_time

gfloat ui_infos::total_time

Definition at line 122 of file ui_types.h.

## ◆ twenty_minutes_time

gint ui_infos::twenty_minutes_time

Definition at line 141 of file ui_types.h.

## ◆ width_drawing_area

gint ui_infos::width_drawing_area

Definition at line 126 of file ui_types.h.

## ◆ zoom_coeff

gfloat ui_infos::zoom_coeff

Definition at line 127 of file ui_types.h.

## ◆ zoom_coeff_old

gfloat ui_infos::zoom_coeff_old

Definition at line 128 of file ui_types.h.

The documentation for this struct was generated from the following file:

- src/ui_types.h